ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 4.0

ARMA 3.0 マニュアル(ご参考用)

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2005-66
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
cpio
概要
不正なファイルの上書きの可能性
危険度
1
 
 
 
2 詳細
 
 アーカイバの cpio に2つのセキュリティ脆弱性が指摘されています。1点はディレクトリの書き込み権限を持つ他のローカルユーザーの攻撃によって、任意のファイルの属性を変更されてしまう可能性があるという問題、2点目は --no-absolute-filenamesオプションを使用した場合でも..記法を使用したアーカイブによってファイルを上書きされてしまう可能性がある、という問題です。
 この問題の詳細については以下の情報を参照してください。
 
「CAN-2005-1111」 Common Vulnerabilities and Exposures
 
「CAN-2005-1229」 Common Vulnerabilities and Exposures
 
 
 アップデート後の cpio のバージョンは 2.5-1.3o1 に上がります。
 
 
3 対処方法
 
 root になり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install cpio
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp